cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/time_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"time_period": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1
}
}'from exsited import build_client
client = build_client()
response = client.time_periods.create_settings_time_period(
{
"time_period": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.createSettingsTimePeriod({
time_period: {name: 'One month', display_name: 'One month', period: 'MONTHLY', duration: 1},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->createSettingsTimePeriod([
'time_period' => [
'name' => 'One month',
'display_name' => 'One month',
'period' => 'MONTHLY',
'duration' => 1,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().createSettingsTimePeriod(
Map.of(
"time_period", Map.of(
"name", "One month",
"display_name", "One month",
"period", "MONTHLY",
"duration", 1)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.CreateSettingsTimePeriodAsync(new Dictionary<string, object?>
{
["time_period"] = new Dictionary<string, object?>
{
["name"] = "One month",
["display_name"] = "One month",
["period"] = "MONTHLY",
["duration"] = 1,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.createSettingsTimePeriod({
'time_period': {
'name': 'One month',
'display_name': 'One month',
'period': 'MONTHLY',
'duration': 1,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().CreateSettingsTimePeriod(context.Background(), map[string]any{
"time_period": map[string]any{
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Time periods
Create a time period
Creates a time period, such as one month, and returns it under time_period.
POST
/
settings
/
time_periods
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/settings/time_periods" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"time_period": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1
}
}'from exsited import build_client
client = build_client()
response = client.time_periods.create_settings_time_period(
{
"time_period": {
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timePeriods.createSettingsTimePeriod({
time_period: {name: 'One month', display_name: 'One month', period: 'MONTHLY', duration: 1},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timePeriods->createSettingsTimePeriod([
'time_period' => [
'name' => 'One month',
'display_name' => 'One month',
'period' => 'MONTHLY',
'duration' => 1,
],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.time_periods.time_periods_dto.TimePeriodsDto.SettingsTimePeriod;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsTimePeriod> response = client.timePeriods().createSettingsTimePeriod(
Map.of(
"time_period", Map.of(
"name", "One month",
"display_name", "One month",
"period", "MONTHLY",
"duration", 1)));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.TimePeriods.CreateSettingsTimePeriodAsync(new Dictionary<string, object?>
{
["time_period"] = new Dictionary<string, object?>
{
["name"] = "One month",
["display_name"] = "One month",
["period"] = "MONTHLY",
["duration"] = 1,
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timePeriods.createSettingsTimePeriod({
'time_period': {
'name': 'One month',
'display_name': 'One month',
'period': 'MONTHLY',
'duration': 1,
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.TimePeriods().CreateSettingsTimePeriod(context.Background(), map[string]any{
"time_period": map[string]any{
"name": "One month",
"display_name": "One month",
"period": "MONTHLY",
"duration": 1,
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"time_period": {
"created_by": null,
"created_on": "<string>",
"description": "<string>",
"display_name": "<string>",
"duration": 123,
"href": "<string>",
"id": "<string>",
"last_updated_by": null,
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"period": "<string>",
"status": "<string>"
}
}Send the new time period under
time_period with its name, display_name, period and duration. Send period in upper case, such as MONTHLY; the response returns it in lower case, such as monthly. The new time period comes back under time_period with its tp_ id.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
The new time period, under time_period.
Show child attributes
Show child attributes